%define upstream_name    CGI-Application-Plugin-Config-YAML
%define upstream_version 0.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    add Config::YAML support to CGI::Application
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CGI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config::YAML)
BuildRequires: perl(CGI::Application)
BuildArch: noarch


%description
This plug-in add Config::YAML support to CGI::Application. The usage of this
plug-in is almost the same as CGI::Application::Plugin::Config::Simple. This
plug-in can be easily used instead of CGI::Application::Plugin::Config::Simple.
This plug-in refers to CGI::Application::Plugin::Config::Simple.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.10.0-12.mga10
+ Revision: 2197752
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.10.0-11.mga9
+ Revision: 1802243
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.10.0-10.mga8
+ Revision: 1493476
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.10.0-9.mga7
+ Revision: 1265987
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.10.0-8.mga6
+ Revision: 1023426
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.10.0-7.mga6
+ Revision: 949275
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.10.0-6.mga5
+ Revision: 789459
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.10.0-5.mga5
+ Revision: 750407
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10.0-4.mga5
+ Revision: 683629
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.10.0-3.mga4
+ Revision: 509375
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.10.0-2.mga3
+ Revision: 363474
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.10.0-1.mga1
+ Revision: 31727
- mageia rebuild
- imported package perl-CGI-Application-Plugin-Config-YAML


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.10.0-1mdv2010.0
+ Revision: 405773
- rebuild using %%perl_convert_version

* Fri Oct 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.01-1mdv2009.1
+ Revision: 291380
- import perl-CGI-Application-Plugin-Config-YAML


* Thu Oct 09 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.01-1mdv2009.1
- initial mdv release, generated with cpan2dist

